( cd usr/doc/bed-3.0.0 ; rm -rf LICENSE )
( cd usr/doc/bed-3.0.0 ; ln -sf ../../lib64/bed-3.0.0/LICENSE LICENSE )
( cd usr/doc/bed-3.0.0 ; rm -rf README )
( cd usr/doc/bed-3.0.0 ; ln -sf ../../lib64/bed-3.0.0/README README )
( cd usr/lib64/bed-3.0.0/utils ; rm -rf keyconfig )
( cd usr/lib64/bed-3.0.0/utils ; ln -sf ../../../bin/bed keyconfig )
( cd usr/share ; rm -rf bed )
( cd usr/share ; ln -sf ../lib64/bed-3.0.0 bed )

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    rm $NEW
  fi
}

config usr/share/bed/bedrc.new

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x etc/file/recompile_magic.mgc.sh ]; then
  etc/file/recompile_magic.mgc.sh
fi
